LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XTransferableSource Interface Referencepublished

The transferable source interface. More...

`import"XTransferableSource.idl";`

Inheritance diagram for XTransferableSource:

## Public Member Functions
string | getDataSourceDescription ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

The transferable source interface.

See also
  com::sun::star::datatransfer::XTransferable

## Member Function Documentation

## ◆ getDataSourceDescription()

string getDataSourceDescription | ( |  | ) |

Returns
  A human presentable description of the source that created the transferable object.

The documentation for this interface was generated from the following file:

- com/sun/star/datatransfer/XTransferableSource.idl